# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/humidity/ti,hdc2010.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: HDC2010/HDC2080 humidity and temperature iio sensors

maintainers:
  - Eugene Zaikonnikov <ez@norophonic.com>

description: |
  Relative humidity and tempereature sensors on I2C bus

  Datasheets are available at:
    http://www.ti.com/product/HDC2010/datasheet
    http://www.ti.com/product/HDC2080/datasheet

properties:
  compatible:
    enum:
      - ti,hdc2010
      - ti,hdc2080

  vdd-supply:
    maxItems: 1

  reg:
    maxItems: 1

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c0 {
      #address-cells = <1>;
      #size-cells = <0>;

      humidity@40 {
          compatible = "ti,hdc2010";
          reg = <0x40>;
      };
    };
